Bug 132288 - printer queue disappears - albeit with traces
printer queue disappears - albeit with traces
Product: Fedora
Classification: Fedora
Component: printman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-09-10 12:22 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 10:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-09-10 12:22:22 EDT
Description of problem:

After a series of updates to the level 'rpmdb-fedora-2.91-0.20040908',
which included among many others glibc and xorg-x11, and a fresh
re-login on a root account 'gnome-printinfo', brought up via
"Print Manager" icon, tells me that I have no printers available
and offers to run a printer configuration tool.  I agree and I am
getting a 'printconfig' window, after a very looong read, with my
only on this box printer queue configured and all data correct.
Without any changes I click, for a good measure, on "Apply" and
that is enough for 'gnome-printinfo' to wake up and recognize
that I have a printer configured after all.  It is even possible
to print on it - which is a nice bonus.

'chkconfig --list cups' shows:
cups     	0:off	1:off	2:on	3:on	4:on	5:on	6:off

Version-Release number of selected component (if applicable):
Comment 1 Tim Waugh 2004-09-10 12:50:33 EDT
Fixing component and reassigning.
Comment 2 Michal Jaegermann 2004-09-10 15:31:52 EDT
It is even more "interesting" after a series of update from today.
On a just rebooted machine after all current updates were applied
clicking on "Print Manager" icon brings an alert "No printers found.
Run the printer configuration tool?" which covers "Print Manager"
window showing clearly my single printer queue as a default.
'service cups status' tells "cupsd (pid 4024 2926) is running..."
and 'lpc' has this to say:

lpc> status
	printer is on device 'lpd' speed -1
	queuing is enabled
	printing is enabled
	no entries
	daemon present

Choosing in the alert "Cancel" leaves "Print Manager" window which
also maintain that "lp" is ready.  Closing that and starting the
whole procedure from scratch causes the situation to repeat itself.

At least yesterday "Print Manager" consistently claimed that
I have no printers. :-)

There is another difference.  After OK'ing to run "printer
configuration tool",  doing "Edit" with no changes and clicking
"Apply" I have "No Printers" according to "Print Manager" and
apparently no way to dissuade it from that notion even if my
single queue consistently shows up in a 'printconfig' window.
Comment 3 Gerry Tool 2004-09-22 08:31:32 EDT
I see this same behaviour in FC3T2.  In addition, I am unable to
print.  See bugzilla # 133064.
Comment 4 Tim Waugh 2004-12-08 10:08:15 EST
printman not shipped in FC3.

Note You need to log in before you can comment on or make changes to this bug.